body {
    padding: 0;
    margin: 0;
    background-color: var(--principal-color);
    color: var(--enfasis-color);
    font-family: "Albert Sans", sans-serif;
    font-size: 16px;
}

:root {
    --enfasis-color: #2a3d56;
    --principal-color: #f5eee5;
}

div.enfasis {
    background-color: var(--enfasis-color);
    color: white;
}

.flex {
    display: flex;
    flex-wrap: wrap;
}

.center {
    text-align: center;
}

img {
    width: 100%;
}

h1 {
    font-weight: 400;
}
.margin{
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}
video{
    width: 100%;
}
header {
    position: sticky;
    top: -2rem;
    z-index: 10;
    width: 100%;
    .top {
        padding: 0.5rem 0;
        p{
            margin: 0;
        }
    }

    &.frosted{
        background-color: rgba(245, 238, 229, 0.5);
        backdrop-filter: blur(10px);
    }

    .main {

        padding: 1rem 0;
        .flex {
            width: 97%;
        }

        .logo {
            width: 18rem;
            img {
                width: 100%;
            }
        }

        .menu {
            flex: 1;
            text-align: right;

            ul {
                margin: 0;
                padding: 0;

                li {
                    display: inline-block;
                    list-style: none;
                    margin-left: 1rem;
                }
            }
        }

        .menu,
        .tools {
            margin: 0 0 0 0;
            font-size: 1.2rem;
            cursor: pointer;
        }

        .tools i {
            margin-left: 1rem;
            font-size: 1.5rem;
            margin-top: -0.25rem;
        }
    }
}

.slider {

    overflow: hidden;

    .container {
        width: 300%;
        display: flex;
        transition: margin-left 1s ease-out;
    }
}

.slide {
    width: calc(100%/3);
    aspect-ratio: 2/1;
    background-size: cover;
    display: inline-block;

    &:nth-child(1) {
        background-image: url('../images/banner-1.webp');
    }

    &:nth-child(2) {
        background-image: url('../images/banner-2.webp');
    }

    &:nth-child(3) {
        background-image: url('../images/banner-3.webp');
    }
}

.categories {
    h1 {
        text-align: center;
    }

    .flex {
        display: flex;
        flex-wrap: wrap;
        gap: 25px;
        justify-content: center;

        .card {
            width: 225px;
            aspect-ratio: 806/1000;
            background-image: url('../images/cats.webp');
            background-size: auto 100%;
            border-radius: 46px;

            &:nth-child(2) {
                background-position: 25% 0;
            }

            &:nth-child(3) {
                background-position: 50% 0;
            }

            &:nth-child(4) {
                background-position: 75% 0;
            }

            &:nth-child(5) {
                background-position: 100% 0;
            }
        }
    }
}

.gap-10 {
    gap: 10px;
}

.gap-25 {
    gap: 25px;
}

.flex {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    position: relative;
}

.favs {
    .flex {
        gap: 50px;
        justify-content: center;
    }

    .card {
        width: 300px;
        position: relative;
    }

    .img-wrapper {
        border-radius: 46px;
        overflow: hidden;
        width: 100%;
        aspect-ratio: 1/1;
        position: relative;

        img {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
        }
    }

    font-weight: 200;

    .title {
        font-weight: 600;
    }
}

.stores {
    .flex {
        gap: 25px;
    }

    .card {
        width: calc(33.33% - 25px);
        border-radius: 46px;
        overflow: hidden;
        display: flex;
    }
}

.carrousel {
    overflow: scroll;

    .container {
        display: flex;
        width: fit-content;
        padding: 2rem 3rem;

    }
}

.blog {
    .container {
        gap: 50px;
    }

    .card {
        width: 300px;

        .img-wrapper {
            overflow: hidden;
            position: relative;
            display: flex;
            border-radius: 46px;
        }
    }
}

.publis {
    .container {
        gap: 50px;

        .card {
            overflow: hidden;
            position: relative;
            display: flex;
            border-radius: 46px;
            width: 250px;
        }
    }
}

.box-shadow {
    box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.5);
}

.general-margin {
    margin: 5rem 0;
}

.halft {
    width: 50%;
}

.faq {
    .halft {
        padding: 5rem;
        box-sizing: border-box;
        position: relative;

        .questions-container {
            width: 100%;

            margin-left: auto;
            margin-right: auto;

            summary {
                background-color: white;
                padding: 1rem;
                border-radius: 15px;
                text-align: center;
            }

            p {
                background-color: var(--enfasis-color);
                color: white;
                padding: 1rem;
                margin: 0;
                width: 90%;
                margin-left: 5%;
                box-sizing: border-box;
            }
        }
    }
}

footer {
    background-color: #2a1f15;
    color: white;
    padding: 5rem 0;

    .menu li {
        display: inline-block;
        margin-left: 2rem;
    }
}

.margin {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

span {
    display: block;
    height: 3px;
    width: 70%;
    background-color: white;
}

.convert {
    .flex {
        width: 90%;
        margin-left: 5%;
        background-color: var(--enfasis-color);
        color: white;
        padding: 0.8rem;
        border-radius: 20px;
        text-align: center;
        font-size: 1.5rem;

        p {
            margin: 0;
            padding: 0.5rem;
        }

        input,
        button {
            padding: 0.5rem;
            border-radius: 20px;
            border: 0px solid;
            font-size: 1.5rem;
            box-sizing: border-box;
        }

        .halft {
            position: relative;
        }

        input {
            width: 100%;
        }

        button {
            background-color: #00002a;
            color: white;
            padding: 0.5rem 2rem;
            position: absolute;
            top: 0;
            right: 0;
            cursor: pointer;
        }
    }
}

.opiniones {
    .card {
        background-color: white;
        padding: 1rem;
        border-radius: 2rem;
        width: 500px;

        .stars {
            text-align: center;
        }

        .fa-star {
            color: #edcd2b;
            font-size: 2rem;
        }

        .avatar {
            .img-wrapper {
                width: 20%;
                aspect-ratio: 1/1;
                overflow: hidden;
                box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.5);
                border-radius: 50%;

                img {
                    height: 100%;
                    width: auto;
                }
            }

            .user {
                text-align: center;
                flex: 1;
                margin-top: 1rem;
            }
        }
    }

    .margin>.flex {
        gap: 20px;
        justify-content: center;

        .card:nth-child(2) .img-wrapper img {
            margin-left: -100%;

        }

        .card:nth-child(3) .img-wrapper img {
            margin-left: -200%;

        }
    }
}

.hero-video{
    .container{
        .content{
            position: relative;
            overflow: hidden;
            .video-container{
                background-color: #000000;
                overflow: hidden;
                aspect-ratio: 21/9;
                width: 100%;
                position: relative;
                video{
                    position: absolute;
                    bottom: -10%;
                    right: 0;
                }
            }
            .bag-container{
                position: absolute;
                top: 0%;
                width: 30%;
                right: 16%;
            }
            .slogan{
                position: absolute;
                top: 17%;
                color: white;
                left: 7%;
                h1, h3{
                    margin: 0;
                }
                h1{
                    font-weight: 700;
                    font-size: 6rem;
                }
                h3{
                    font-size: 2.5rem;
                    font-weight: 200;
                }
            }
        }
    }
}

.floating {
    animation: float 4s cubic-bezier(.45,.05,.55,.95) infinite;
    transition: 0.3s all linear;
}

@keyframes float {
     0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-22px);
    }
    100% {
        transform: translateY(0);
    }
}

.expand {
    animation: expand 4s cubic-bezier(.45,.05,.55,.95) infinite;
    transition: 0.3s all linear;
}
@keyframes expand {
     0% {
        transform: scale(1);
    }
    50% {
        transform: scale(1.2);
    }
    100% {
        transform: scale(1);
    }
}